%define _iconsdir /usr/share/icons
%define _miconsdir /usr/share/icons/mini
%define _liconsdir /usr/share/pixmaps
# XXX hany: not used on RedHat systems; what dir (if any) is RedHat using?
%define _menudir /usr/lib/menu

%define major_nspr 4
%define major_nss 3
%define releasedate 20011221
%define french_policy 1

Name:      mozilla
Summary:   Mozilla, open-source web browser
Version:   0.9.7
Release:   1
License:   MPL
Source0:   ftp://ftp.mozilla.org/pub/mozilla/releases/mozilla%{version}/src/mozilla-source-%{version}.tar.bz2
Source1:   mozilla-0.9.2-js.tar.bz2
Source2:   mozilla_16.xpm.bz2
Source3:   mozilla_32.xpm.bz2
Source4:   mozilla_48.xpm.bz2
Source5:   mozilla-bookmarks-mdk81.html.bz2
Source6:   mozilla-0.9.7-libart_lgpl.tar.bz2

# remove debug menu entries
Patch0:	   mozilla-navigator-overlay-menu.patch.bz2
Patch1:    mozilla-editor-overlay-menu.patch.bz2
Patch6:    mozilla-prefs-debug.patch.bz2
Patch7:    mozilla-redhat-home-page.patch.bz2
Patch8:    mozilla-redhat-mail-home-page.patch.bz2
Patch11:   mozilla-taskbar-nomozilla.patch.bz2
Patch12:   mozilla-psfonts.patch.bz2
# (sb) js doesn't build on PPC - no error until rpm install stage
Patch22:   mozilla-0.9.6-fix-js-for-ppc.patch.bz2
# (fc) 0.9.6-3mdk remove buildid from titlebar (Ximian)
Patch23:   mozilla-remove-buildid-from-title.patch.bz2
# (fc) 0.9.6-3mdk fix french policy
Patch24:   mozilla-0.9.6-frenchpolicy.patch.bz2
Epoch:     0

BuildRoot:		%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gtk+-devel libjpeg-devel libpng-devel zip ORBit-devel
PreReq:			libnspr%{major_nspr} = %{version}
Requires:		libnss%{major_nss} = %{version} indexhtml perl

Group:		Networking/WWW
Url:		http://www.mozilla.org
Obsoletes:	mozilla-xpcom mozilla-browser mozilla-psm
Provides:	mozilla-xpcom = %{version}
Provides:	mozilla-browser = %{version}
Provides:	mozilla-psm = %{version}

%description
Mozilla is an open-source web browser, designed for standards
compliance, performance and portability. 

%package -n libnspr%{major_nspr}
Epoch:		1
License:	MPL/GPL
URL:		http://www.mozilla.org/projects/nspr/index.html
Summary:	Netscape Portable Runtime Library
Group:		System/Libraries

%description -n libnspr%{major_nspr}
This library provides platform independent non-GUI operating system
 facilities including:
  * threads,
  * thread synchronisation,
  * normal file I/O and network I/O,
  * interval timing and calender time,
  * basic memory management (malloc and free),
  * shared library linking.
 .
 See http://www.mozilla.org/docs/refList/refNSPR/ for more information.



%package -n libnspr%{major_nspr}-devel
Epoch:		1
Summary:	Netscape Portable Runtime library - development files
Group:		Development/C++
Requires:	libnspr%{major_nspr} = %{version}

%description -n libnspr%{major_nspr}-devel
NSPR provides platform independence for non-GUI operating system
 facilities including:
  * threads,
  * thread synchronisation,
  * normal file I/O and network I/O,
  * interval timing and calender time,
  * basic memory management (malloc and free),
  * shared library linking.
 .
 See http://www.mozilla.org/docs/refList/refNSPR/ for more information.
 .
 You need this package to get includes and static libraries for building
 programs linked to NSPR.

%package -n libnss%{major_nss}
Epoch:		1
License:	MPL/GPL
URL:		http://mozilla.org/projects/security/pki/nss/
Summary:	Network Security Services (NSS)
Group:		System/Libraries

%description -n libnss%{major_nss}
Network Security Services (NSS) is a set of libraries designed 
to support cross-platform development of security-enabled server 
applications. Applications built with NSS can support SSL v2 and v3, 
TLS, PKCS #5, PKCS #7, PKCS #11, PKCS #12, S/MIME, X.509 v3 certificates,
and other security standards. 

%package -n libnss%{major_nss}-devel
Epoch:		1
Summary:	Network Security Services (NSS) - development files
Group:		Development/C++
Requires:	libnss%{major_nss} = %{version}
Requires:	libnspr%{major_nspr}-devel = %{version}

%description -n libnss%{major_nss}-devel
Network Security Services (NSS) is a set of libraries designed 
to support cross-platform development of security-enabled server 
applications. Applications built with NSS can support SSL v2 and v3, 
TLS, PKCS #5, PKCS #7, PKCS #11, PKCS #12, S/MIME, X.509 v3 certificates,
and other security standards. 

You need this package to get includes and static libraries for building
programs linked to NSS.

%package -n libjs
Summary:	Mozilla Javascript standalone library
Group:		System/Libraries
%description -n libjs
Mozilla Javascript standalone library


%package devel
Requires:	%{name} = %{version}-%{release}
Summary:	Mozilla development files
Group:		Development/Other
Requires:	libnspr%{major_nspr}-devel
%description devel
Mozilla development files

%package mail
Summary:	Mozilla-based mail system
Group:		Networking/Mail
PreReq:		%{name} = %{version}-%{release}

%description mail
Mail/news client based on the Mozilla web browser.  The mail/news
client supports IMAP, POP, and NNTP and has an easy to use interface.

%package irc
Summary:	IRC support for Mozilla.
Group:		Networking/IRC
PreReq:		%{name} = %{version}-%{release}
Provides:	%{name}-chatzilla %{name}-chat
Obsoletes:	%{name}-chatzilla %{name}-chat

%description irc
irc support for Mozilla.

%package xmlterm
Summary:    XML enabled Terminal Client for Mozilla
Group:      Networking/Other
Prereq:		%{name} = %{version}-%{release}

%description xmlterm
This is a terminal client written for mozilla that has special capabilities.
When combined with the xls, and xcat programs, you can get directory listings 
with thumbnails for images, and you can cat known file types 
and view them inline.

%package js-debugger
Summary: JavaScript debugger for use with Mozilla
Group: Networking/WWW
Prereq: %{name} = %{version}-%{release}

%description js-debugger
JavaScript debugger for use with Mozilla.

%package dom-inspector
Summary: A tool for inspecting the DOM of pages in Mozilla.
Group: Applications/Internet
Prereq: %{name} = %{version}-%{release}

%description dom-inspector
This is a tool that allows you to inspect the DOM for web pages in
Mozilla.  This is of great use to people who are doing Mozilla chrome
development or web page development.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n mozilla -a 1 -a 6
%patch0 -p 1 -b .debug_nav
%patch1 -p 1 -b .debug_ed
%patch6 -p1 -b .nodebug
%patch7 -p1 -b .redhat-home-page
%patch8 -p1 -b .redhat

%patch11 -p1 -b .nomozilla
%patch12 -p1 -b .psfont
%patch22 -p1 -b .ppc
%patch23 -p1 -b .nobuildid
%if %french_policy
%patch24 -p1 -b .frenchpolicy
%endif


cat << EOF > content/build/gbdate.h
#define PRODUCT_VERSION "%{releasedate}"
EOF

bzcat %{SOURCE5} > profile/defaults/bookmarks.html

%build

# build mozilla
BUILD_OFFICIAL=1 MOZ_INTERNAL_LIBART_LGPL=1 ./configure --prefix=%{_prefix} \
	--enable-optimize="$RPM_OPT_FLAGS" --disable-debug --disable-pedantic \
	--enable-strip-libs --disable-tests \
	--enable-svg --enable-crypto --enable-nspr-autoconf \
	--with-default-mozilla-five-home=%{_libdir}/mozilla \
	--with-extensions --disable-short-wchar --enable-xinerama \
	--disable-xprint --enable-mathml --without-system-nspr

BUILD_OFFICIAL=1 make -s export
BUILD_OFFICIAL=1 make -s

(cd js/src
make -f Makefile.ref BUILD_OPT=1 nsinstall-target all
)

%install

rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}/mozilla
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}/mozilla/idl

(cd js/src
make -f Makefile.ref BUILD_OPT=1 JS_DIST=$RPM_BUILD_ROOT%{_prefix} export
)

# create a list of all of the different package and the files that
# will hold them
rm -f %{_tmppath}/mozilla.list
rm -f %{_tmppath}/mozilla.list.shared
rm -f %{_tmppath}/mozilla.package
build/package/rpm/SOURCES/mozilla-make-package.pl --package langenus --output-file %{_tmppath}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package langenus --output-file %{_tmppath}/mozilla.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist -shared

# add mozilla version of libart 
echo "libmoz_art_lgpl.so" >> %{_tmppath}/mozilla.list.shared
# add mathml files
echo "components/libucvmath.so" >> %{_tmppath}/mozilla.list
echo "res/fonts/mathfont*.properties" >> %{_tmppath}/mozilla.list
echo "res/mathml.css" >> %{_tmppath}/mozilla.list
echo "dtd/mathml.dtd" >> %{_tmppath}/mozilla.list

build/package/rpm/SOURCES/mozilla-make-package.pl --package regus --output-file %{_tmppath}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package regus --output-file %{_tmppath}/mozilla.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist --shared

build/package/rpm/SOURCES/mozilla-make-package.pl --package deflenus --output-file %{_tmppath}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package deflenus --output-file %{_tmppath}/mozilla.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist --shared

build/package/rpm/SOURCES/mozilla-make-package.pl --package xpcom --output-file %{_tmppath}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package xpcom --output-file %{_tmppath}/mozilla.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist --shared

build/package/rpm/SOURCES/mozilla-make-package.pl --package browser --output-file %{_tmppath}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package browser --output-file %{_tmppath}/mozilla.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist --shared


rm -f %{_tmppath}/mozilla-mail.list
rm -f %{_tmppath}/mozilla-mail.list.shared
rm -f %{_tmppath}/mozilla-mail.package
build/package/rpm/SOURCES/mozilla-make-package.pl --package mail --output-file %{_tmppath}/mozilla-mail.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package mail --output-file %{_tmppath}/mozilla-mail.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist --shared


rm -f %{_tmppath}/mozilla-psm.list
rm -f %{_tmppath}/mozilla-psm.list.shared
build/package/rpm/SOURCES/mozilla-make-package.pl --package psm --output-file %{_tmppath}/mozilla-psm.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package psm --output-file %{_tmppath}/mozilla-psm.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist --shared


rm -f %{_tmppath}/mozilla-chat.list
rm -f %{_tmppath}/mozilla-chat.list.shared
rm -f %{_tmppath}/mozilla-chat.package
build/package/rpm/SOURCES/mozilla-make-package.pl --package chatzilla --output-file %{_tmppath}/mozilla-chat.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package chatzilla --output-file %{_tmppath}/mozilla-chat.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist --shared

rm -f %{_tmppath}/mozilla-js-debugger.list
rm -f %{_tmppath}/mozilla-js-debugger.list.shared
rm -f %{_tmppath}/mozilla-js-debugger.package
build/package/rpm/SOURCES/mozilla-make-package.pl --package venkman --output-file %{_tmppath}/mozilla-js-debugger.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package venkman --output-file %{_tmppath}/mozilla-js-debugger.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist --shared

rm -f %{_tmppath}/mozilla-dom-inspector.list
rm -f %{_tmppath}/mozilla-dom-inspector.list.shared
rm -f %{_tmppath}/mozilla-dom-inspector.package
build/package/rpm/SOURCES/mozilla-make-package.pl --package inspector --output-file %{_tmppath}/mozilla-dom-inspector.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package inspector \
    --output-file %{_tmppath}/mozilla-dom-inspector.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist --shared

# copy all of the files
build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla.list %{_tmppath}/mozilla.package \
    $RPM_BUILD_ROOT/%{_libdir}/mozilla \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}/mozilla

build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla.list.shared %{_tmppath}/mozilla.package \
    $RPM_BUILD_ROOT/%{_libdir} \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}


# build our initial component and chrome registry
# we don't need to do this anymore

pushd `pwd`
  cd $RPM_BUILD_ROOT%{_libdir}/mozilla
  rm -rf  $RPM_BUILD_ROOT%{_libdir}/mozilla/components/xpti* $RPM_BUILD_ROOT%{_libdir}/mozilla/component.reg
  # register our components
  LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir}/mozilla:$RPM_BUILD_ROOT%{_libdir} MOZILLA_FIVE_HOME=$RPM_BUILD_ROOT%{_libdir}/mozilla ./regxpcom
  # set up the default skin and locale to trigger the generation of
  # the user-locales and users-skins.rdf
  echo "skin,install,select,classic/1.0" >> chrome/installed-chrome.txt
  echo "locale,install,select,en-US" >> chrome/installed-chrome.txt
  # set up the chrome rdf files
  LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir}/mozilla:$RPM_BUILD_ROOT%{_libdir} MOZILLA_FIVE_HOME=$RPM_BUILD_ROOT%{_libdir}/mozilla ./regchrome
  # fix permissions of the chrome directories
  find . -type d -perm 0700 -exec chmod 755 {} \; || :
popd


build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla-mail.list %{_tmppath}/mozilla-mail.package \
    $RPM_BUILD_ROOT%{_libdir}/mozilla \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}/mozilla
build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla-mail.list.shared %{_tmppath}/mozilla-mail.package \
    $RPM_BUILD_ROOT%{_libdir} \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}

build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla-psm.list %{_tmppath}/mozilla.package \
    $RPM_BUILD_ROOT%{_libdir}/mozilla \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}/mozilla

build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla-psm.list.shared %{_tmppath}/mozilla.package \
    $RPM_BUILD_ROOT/%{_libdir} \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}


build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla-chat.list %{_tmppath}/mozilla-chat.package \
    $RPM_BUILD_ROOT%{_libdir}/mozilla \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}/mozilla
build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla-chat.list.shared %{_tmppath}/mozilla-chat.package \
    $RPM_BUILD_ROOT%{_libdir} \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}

build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla-js-debugger.list %{_tmppath}/mozilla-js-debugger.package \
    $RPM_BUILD_ROOT/%{_libdir}/mozilla \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}/mozilla
build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla-js-debugger.list.shared %{_tmppath}/mozilla-js-debugger.package \
    $RPM_BUILD_ROOT/%{_libdir} \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}

build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla-dom-inspector.list %{_tmppath}/mozilla-dom-inspector.package \
    $RPM_BUILD_ROOT/%{_libdir}/mozilla \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}/mozilla
build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla-dom-inspector.list.shared \
    %{_tmppath}/mozilla-dom-inspector.package \
    $RPM_BUILD_ROOT/%{_libdir} \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}


# cp -L (dereference all symlinks) is required for fileutils >= 2.0.27
# (POSIX compliance); prior versions don't understand -L, so fall back...

# copy xmlterm files
/bin/cp -rL dist/bin/{xmlterm,xcat,xls}  $RPM_BUILD_ROOT%{_bindir} || \
		/bin/cp -r dist/bin/{xmlterm,xcat,xls}  $RPM_BUILD_ROOT%{_bindir}
/bin/cp -rL dist/bin/chrome/xmlterm.jar  $RPM_BUILD_ROOT%{_libdir}/mozilla/chrome || \
		/bin/cp -r dist/bin/chrome/xmlterm.jar  $RPM_BUILD_ROOT%{_libdir}/mozilla/chrome
/bin/cp -rL dist/bin/components/*xmlterm*  $RPM_BUILD_ROOT%{_libdir}/mozilla/components || \
		/bin/cp -r dist/bin/components/*xmlterm*  $RPM_BUILD_ROOT%{_libdir}/mozilla/components

# copy include and idl files
/bin/cp -rL dist/include/* $RPM_BUILD_ROOT%{_includedir}/mozilla || \
		/bin/cp -r dist/include/* $RPM_BUILD_ROOT%{_includedir}/mozilla

/bin/cp -rL dist/idl/* $RPM_BUILD_ROOT%{_includedir}/mozilla/idl || \
		/bin/cp -r dist/idl/* $RPM_BUILD_ROOT%{_includedir}/mozilla/idl

# copy our devel tools
/bin/cp -rL dist/bin/xpcshell $RPM_BUILD_ROOT%{_libdir}/mozilla || \
		/bin/cp -r dist/bin/xpcshell $RPM_BUILD_ROOT%{_libdir}/mozilla

/bin/cp -rL dist/bin/xpidl $RPM_BUILD_ROOT%{_libdir}/mozilla || \
		/bin/cp -r dist/bin/xpidl $RPM_BUILD_ROOT%{_libdir}/mozilla

/bin/cp -rL dist/bin/xpt_dump $RPM_BUILD_ROOT%{_libdir}/mozilla || \
		/bin/cp -r dist/bin/xpt_dump $RPM_BUILD_ROOT%{_libdir}/mozilla

/bin/cp -rL dist/bin/xpt_link $RPM_BUILD_ROOT%{_libdir}/mozilla || \
		/bin/cp -r dist/bin/xpt_link $RPM_BUILD_ROOT%{_libdir}/mozilla

# copy some libs and headers by hand
mkdir -p $RPM_BUILD_ROOT%{_includedir}/nss3 $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_datadir}/aclocal
cp -r -L dist/public/security/* $RPM_BUILD_ROOT%{_includedir}/nss3
cp -r -L dist/lib/libnspr%{major_nspr}.a dist/lib/libplc%{major_nspr}.a dist/lib/libplds%{major_nspr}.a $RPM_BUILD_ROOT%{_libdir}
cp -r -L dist/lib/libnss%{major_nss}.so dist/lib/libssl%{major_nss}.so dist/lib/libsmime%{major_nss}.so $RPM_BUILD_ROOT%{_libdir}
cp -r -L nsprpub/config/nspr-config $RPM_BUILD_ROOT%{_bindir}
cp -r -L nsprpub/config/nspr.m4 $RPM_BUILD_ROOT%{_datadir}/aclocal
mv $RPM_BUILD_ROOT%{_includedir}/mozilla/nspr $RPM_BUILD_ROOT%{_includedir}

cat %{_tmppath}/mozilla.package | grep -v libnspr%{major_nspr} | grep -v libplc%{major_nspr} | grep -v libplds%{major_nspr} > %{_tmppath}/mozilla.package

echo 

# workaround for bug 81429

(cd $RPM_BUILD_ROOT%{_libdir}/mozilla 
ln -s ../libnssckbi.so libnssckbi.so
echo %{_libdir}/mozilla/libnssckbi.so >> %{_tmppath}/mozilla.package
)



bzcat %SOURCE2 > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %SOURCE3 > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %SOURCE4 > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

cp build/package/rpm/SOURCES/mozilla.sh $RPM_BUILD_ROOT%{_bindir}/mozilla
cp build/package/rpm/SOURCES/rebuild-databases.sh $RPM_BUILD_ROOT%{_libdir}/mozilla/rebuild-databases.sh

# installs menu file
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
# WARNING : GNOME duplicate entry is needed to be able to launch
# Mozilla when xalf is installed. This entry must be added in
# menu file BEFORE "x11" menu entry
cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
  icon="mozilla.xpm"\
  needs="gnome"\
  section="Networking/WWW"\
  title="Mozilla"\
  longtitle="The free and open source web browser"\
  command="NO_XALF soundwrapper %{_bindir}/mozilla"
?package(%{name}):\
  icon="mozilla.xpm"\
  needs="x11"\
  section="Networking/WWW"\
  title="Mozilla"\
  longtitle="The free and open source web browser"\
  command="soundwrapper %{_bindir}/mozilla"
EOF

# installs menu file
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
# WARNING : GNOME duplicate entry is needed to be able to launch
# Mozilla when xalf is installed. This entry must be added in
# menu file BEFORE "x11" menu entry
cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}-mail
?package(%{name}-mail):\
  icon="mozilla.xpm"\
  needs="gnome"\
  section="Networking/Mail"\
  title="Mozilla Messenger"\
  longtitle="The free and open source web browser"\
  command="NO_XALF %{_bindir}/mozilla -mail"
?package(%{name}-mail):\
  icon="mozilla.xpm"\
  needs="x11"\
  section="Networking/Mail"\
  title="Mozilla Messenger"\
  longtitle="The free and open source web browser"\
  command="%{_bindir}/mozilla -mail"
?package(%{name}-mail):\
  icon="mozilla.xpm"\
  needs="gnome"\
  section="Networking/WWW"\
  title="Mozilla Composer"\
  longtitle="The free and open source web browser"\
  command="NO_XALF %{_bindir}/mozilla -compose"
?package(%{name}-mail):\
  icon="mozilla.xpm"\
  needs="x11"\
  section="Networking/WWW"\
  title="Mozilla Composer"\
  longtitle="The free and open source web browser"\
  command="%{_bindir}/mozilla -compose"
EOF

# installs menu file
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
# WARNING : GNOME duplicate entry is needed to be able to launch
# Mozilla when xalf is installed. This entry must be added in
# menu file BEFORE "x11" menu entry
cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}-xmlterm
?package(%{name}-xmlterm):\
  icon="mozilla.xpm"\
  needs="gnome"\
  section="Terminals"\
  title="Mozilla XTerm"\
  longtitle="XTerm implemented with Mozilla toolkit"\
  command="NO_XALF %{_bindir}/mozilla -terminal"
?package(%{name}-xmlterm):\
  icon="mozilla.xpm"\
  needs="gnome"\
  section="Terminals"\
  title="Mozilla XTerm"\
  longtitle="XTerm implemented with Mozilla toolkit"\
  command="NO_XALF %{_bindir}/mozilla -terminal"
EOF


%clean
rm -rf $RPM_BUILD_ROOT
rm -f %{_tmppath}/mozilla*.package
rm -f %{_tmppath}/mozilla*.list
rm -f %{_tmppath}/mozilla*.list.shared

%triggerin -- jre >= 1.3.0_01
if [ -f /usr/java/jre*/plugin/i386/ns600/libjavaplugin_oji.so -a ! -f %{_libdir}/mozilla/plugins/libjavaplugin_oji.so ]; then 
 ln -s /usr/java/jre*/plugin/i386/ns600/libjavaplugin_oji.so %{_libdir}/mozilla/plugins/libjavaplugin_oji.so 
fi

%triggerin -- jdk >= 1.3.0_01
if [ -f /usr/java/jdk*/jre/plugin/i386/ns600/libjavaplugin_oji.so -a ! -f %{_libdir}/mozilla/plugins/libjavaplugin_oji.so ]; then 
 ln -s /usr/java/jdk*/jre/plugin/i386/ns600/libjavaplugin_oji.so %{_libdir}/mozilla/plugins/libjavaplugin_oji.so 
fi

%triggerin -- j2sdk < 1.4.0
JAVA_PLUGIN="/usr/java/j2sdk*/jre/plugin/i386/ns600/libjavaplugin_oji*.so"
if [ -f JAVA_PLUGIN -a ! -f %{_libdir}/mozilla/plugins/libjavaplugin_oji*.so ]; then 
 ln -s $JAVA_PLUGIN %{_libdir}/mozilla/plugins/
fi

%triggerin -- j2re < 1.4.0
JAVA_PLUGIN="/usr/java/j2re*/plugin/i386/ns600/libjavaplugin_oji*.so"
if [ -f $JAVA_PLUGIN -a ! -f %{_libdir}/mozilla/plugins/libjavaplugin_oji*.so ]; then 
 ln -s $JAVA_PLUGIN %{_libdir}/mozilla/plugins/
fi

%triggerin -- j2sdk >= 1.4.0
JAVA_PLUGIN="/usr/java/j2sdk*/jre/plugin/i386/ns600/libjavaplugin_oji*.so"
if [ -f $JAVA_PLUGIN -a ! -f %{_libdir}/mozilla/components/libjavaplugin_oji*.so ]; then 
 ln -s $JAVA_PLUGIN %{_libdir}/mozilla/components/
 if [ -x %{_libdir}/mozilla/rebuild-databases.sh ]; then
    %{_libdir}/mozilla/rebuild-databases.sh
 fi
fi

%triggerin -- j2re >= 1.4.0
JAVA_PLUGIN="/usr/java/j2re*/plugin/i386/ns600/libjavaplugin_oji*.so"
if [ -f $JAVA_PLUGIN -a ! -f %{_libdir}/mozilla/components/libjavaplugin_oji*.so ]; then 
  ln -s $JAVA_PLUGIN %{_libdir}/mozilla/components/
 if [ -x %{_libdir}/mozilla/rebuild-databases.sh ]; then
    %{_libdir}/mozilla/rebuild-databases.sh
 fi
fi

%triggerpostun --j2re >= 1.4.0, j2sdk >= 1.4.0
[ "$2" = "0" ] || exit 0
JAVA_PLUGIN="%{_libdir}/mozilla/components/libjavaplugin_oji*.so"
if [ -L $JAVA_PLUGIN ]; then 
 rm -f $JAVA_PLUGIN
 if [ -x %{_libdir}/mozilla/rebuild-databases.sh ]; then
    %{_libdir}/mozilla/rebuild-databases.sh
 fi
fi


%triggerpostun -- jre >= 1.3.0_01, jdk >= 1.3.0_01, j2sdk < 1.4.0, j2re < 1.4.0
[ "$2" = "0" ] || exit 0
if [ -L %{_libdir}/mozilla/plugins/libjavaplugin_oji.so -a ! -f `perl -e 'print readlink("%{_libdir}/mozilla/plugins/libjavaplugin_oji.so");'` ]; then 
 rm -f %{_libdir}/mozilla/plugins/libjavaplugin_oji.so 
fi

%triggerin -- RealPlayer 
if [ -f %{_libdir}/RealPlayer*/rpnp.so -a ! -f %{_libdir}/mozilla/plugins/rpnp.so ]; then
 ln -s %{_libdir}/RealPlayer*/rpnp.so %{_libdir}/mozilla/plugins/rpnp.so
 ln -s %{_libdir}/RealPlayer*/raclass.zip %{_libdir}/mozilla/plugins/raclass.zip
fi


%triggerpostun -- RealPlayer
[ "$2" = "0" ] || exit 0
if [ -L %{_libdir}/mozilla/plugins/rpnp.so -a ! -f `perl -e 'print readlink("%{_libdir}/mozilla/plugins/rpnp.so");'` ]; then
 rm -f %{_libdir}/mozilla/plugins/rpnp.so
 rm -f %{_libdir}/mozilla/plugins/raclass.zip
fi

%triggerin -- netscape-plugins
if [ -f %{_libdir}/netscape/plugins/libflashplayer.so -a ! -f %{_libdir}/mozilla/plugins/libflashplayer.so ]; then 
 ln -s %{_libdir}/netscape/plugins/libflashplayer.so %{_libdir}/mozilla/plugins/libflashplayer.so 
 ln -s %{_libdir}/netscape/plugins/ShockwaveFlash.class %{_libdir}/mozilla/plugins/ShockwaveFlash.class
fi

%triggerpostun -- netscape-plugins
[ "$2" = "0" ] || exit 0
if [ -L %{_libdir}/mozilla/plugins/libflashplayer.so -a ! -f `perl -e 'print readlink("%{_libdir}/mozilla/plugins/libflashplayer.so");'` ]; then 
 rm -f %{_libdir}/mozilla/plugins/libflashplayer.so 
 rm -f %{_libdir}/mozilla/plugins/ShockwaveFlash.class
fi

%triggerin -- acroread-nppdf
if [ -f %{_libdir}/netscape/plugins/nppdf.so -a ! -f %{_libdir}/mozilla/plugins/nppdf.so ]; then 
 ln -s %{_libdir}/netscape/plugins/nppdf.so %{_libdir}/mozilla/plugins/nppdf.so 
fi

%triggerpostun -- acroread-nppdf
[ "$2" = "0" ] || exit 0
if [ -L %{_libdir}/mozilla/plugins/nppdf.so -a ! -f `perl -e 'print readlink("%{_libdir}/mozilla/plugins/nppdf.so");'` ]; then 
 rm -f %{_libdir}/mozilla/plugins/nppdf.so 
fi


%post
# menu
%{update_menus}
if [ -f %{_libdir}/netscape/plugins/libflashplayer.so -a ! -f %{_libdir}/mozilla/plugins/libflashplayer.so ]; then 
 ln -s %{_libdir}/netscape/plugins/libflashplayer.so %{_libdir}/mozilla/plugins/libflashplayer.so 
 ln -s %{_libdir}/netscape/plugins/ShockwaveFlash.class %{_libdir}/mozilla/plugins/ShockwaveFlash.class 
fi
ulimit -c 0
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -x %{_libdir}/mozilla/rebuild-databases.sh ]; then
    %{_libdir}/mozilla/rebuild-databases.sh
fi


%preun
if [ "$1" = "0" ]; then 
	if [ -L %{_libdir}/mozilla/plugins/libflashplayer.so ]; then 
		 rm -f %{_libdir}/mozilla/plugins/libflashplayer.so 
		 rm -f %{_libdir}/mozilla/plugins/ShockwaveFlash.class
	fi
fi

%postun
## menu
%{clean_menus}

%post -n libnspr%{major_nspr} -p /sbin/ldconfig
%postun -n libnspr%{major_nspr} -p /sbin/ldconfig

%post mail
%{update_menus}
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -x %{_libdir}/mozilla/rebuild-databases.sh ]; then
    %{_libdir}/mozilla/rebuild-databases.sh
fi

%postun mail
%{clean_menus}
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -x %{_libdir}/mozilla/rebuild-databases.sh ]; then
    %{_libdir}/mozilla/rebuild-databases.sh
fi


%post irc
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -x %{_libdir}/mozilla/rebuild-databases.sh ]; then
    %{_libdir}/mozilla/rebuild-databases.sh
fi

%postun irc
%{update_menus}
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -x %{_libdir}/mozilla/rebuild-databases.sh ]; then
    %{_libdir}/mozilla/rebuild-databases.sh
fi

%post xmlterm
%{clean_menus}
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -x %{_libdir}/mozilla/rebuild-databases.sh ]; then
    %{_libdir}/mozilla/rebuild-databases.sh
fi


%postun xmlterm
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -x %{_libdir}/mozilla/rebuild-databases.sh ]; then
    %{_libdir}/mozilla/rebuild-databases.sh
fi

%post js-debugger
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/mozilla/rebuild-databases.sh ]; then
    %{_libdir}/mozilla/rebuild-databases.sh
fi

%postun js-debugger
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/mozilla/rebuild-databases.sh ]; then
    %{_libdir}/mozilla/rebuild-databases.sh
fi

%post dom-inspector
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/mozilla/rebuild-databases.sh ]; then
    %{_libdir}/mozilla/rebuild-databases.sh
fi

%postun dom-inspector
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/mozilla/rebuild-databases.sh ]; then
    %{_libdir}/mozilla/rebuild-databases.sh
fi


%files -f %{_tmppath}/mozilla.package
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/mozilla
%attr(755,root,root) %{_libdir}/mozilla/rebuild-databases.sh
# XXX hany: not used on RedHat systems; what dir (if any) is RedHat using?
#%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%dir %{_libdir}/mozilla/defaults/pref
%dir %{_libdir}/mozilla/defaults/profile/US
%dir %{_libdir}/mozilla/defaults/profile
%dir %{_libdir}/mozilla/defaults/wallet
%dir %{_libdir}/mozilla/defaults
%dir %{_libdir}/mozilla/chrome
%dir %{_libdir}/mozilla/components
%dir %{_libdir}/mozilla/res/builtin
%dir %{_libdir}/mozilla/res/html
%dir %{_libdir}/mozilla/res/samples
%dir %{_libdir}/mozilla/res/entityTables
%dir %{_libdir}/mozilla/res/rdf
%dir %{_libdir}/mozilla/res/fonts
%dir %{_libdir}/mozilla/res
%dir %{_libdir}/mozilla/icons
%dir %{_libdir}/mozilla/searchplugins
%dir %{_libdir}/mozilla/plugins
%dir %{_libdir}/mozilla/dtd
%dir %{_libdir}/mozilla
%verify (not md5 mtime size) %{_libdir}/mozilla/component.reg
%verify (not md5 mtime size) %{_libdir}/mozilla/components/xpti.dat
%verify (not md5 mtime size) %{_libdir}/mozilla/chrome/*.rdf
%verify (not md5 mtime size) %{_libdir}/mozilla/chrome/overlayinfo

%files mail -f %{_tmppath}/mozilla-mail.package
%defattr(-,root,root)
# XXX hany: not used on RedHat systems; what dir (if any) is RedHat using?
#%{_menudir}/%{name}-mail
%dir %{_libdir}/mozilla

%files irc -f %{_tmppath}/mozilla-chat.package
%defattr(-,root,root)


%files devel
%defattr (-,root,root)
%{_includedir}/mozilla
%{_libdir}/mozilla/xpcshell
%{_libdir}/mozilla/xpidl
%{_libdir}/mozilla/xpt_dump
%{_libdir}/mozilla/xpt_link

%files xmlterm
%defattr(-, root, root)
%{_bindir}/xmlterm
%{_bindir}/xcat
%{_bindir}/xls
%{_libdir}/mozilla/chrome/xmlterm.jar
%{_libdir}/mozilla/components/*xmlterm*
# XXX hany: not used on RedHat systems; what dir (if any) is RedHat using?
#%{_menudir}/%{name}-xmlterm

%files js-debugger -f %{_tmppath}/mozilla-js-debugger.package
%defattr(-,root,root)

%files dom-inspector -f %{_tmppath}/mozilla-dom-inspector.package
%defattr(-,root,root)

%files -n libjs
%defattr(-,root,root)
%{_bindir}/js
%{_libdir}/libjs.so

%files -n libnspr%{major_nspr}
%defattr(-, root, root)
%{_libdir}/libnspr%{major_nspr}.so
%{_libdir}/libplc%{major_nspr}.so
%{_libdir}/libplds%{major_nspr}.so

%files -n libnspr%{major_nspr}-devel
%defattr(-, root, root)
%{_bindir}/nspr-config
%{_includedir}/nspr
%{_libdir}/libnspr%{major_nspr}.a
%{_libdir}/libplc%{major_nspr}.a
%{_libdir}/libplds%{major_nspr}.a
%{_datadir}/aclocal/nspr.m4

%files -n libnss%{major_nss}
%defattr(-, root, root)
%{_libdir}/libnss%{major_nss}.so
%{_libdir}/libsmime%{major_nss}.so
%{_libdir}/libssl%{major_nss}.so
%{_libdir}/libnssckbi.so

%files -n libnss%{major_nss}-devel
%defattr(-, root, root)
%{_includedir}/nss3


%changelog
* Fri Jan 11 2002 Peter Hanecak <hanecak@megaloman.sk>
- merged changes from mozilla-0.9.7-1mdk package (see below)

* Wed Jan  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-1mdk
- Release 0.9.7
- Add DOM inspector package
- Regenerate patch 0
- Use soundwrapper to run mozilla (should fix freeze with flash plugin)
- Optimizations are back
- Fix mathML

* Mon Dec 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.6-4mdk
- Fix epoch problem (grr, should use rpm -Fvh to test upgrade)

* Wed Dec  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.6-3mdk
- Patch23 (Ximian) : remove buildid from titlebar 
- Patch24 : fix French policy
- Generate libnspr4 and libnss3 from mozilla srpm now
- Remove patch21 (no longer needed)
- Regenerate patch 22 by modifying Makefile include only

* Thu Nov 29 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.6-2mdk
- patch to fix js build on PPC (patch22)

* Thu Nov 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.6-1mdk
- Release 0.9.6
- Regenerate patches 0, 7
- Remove patches 25 (merged upstream) & 27 (no longer needed)
- Patch12 (Blizzard) : set ps default fonts for some asiatic languages
- Lower optimizations
- Add triggers for Java 1.4 packages

* Wed Nov  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-2mdk
- MathML is back
- Add venckman package (Javascript debugger)

* Wed Oct 31 2001 Peter Hanecak <hanecak@megaloman.sk>
- RPM_OPT_FLAGS used (may be dangerous - we'll see)

* Wed Oct 31 2001 Peter Hanecak <hanecak@megaloman.sk>
- merged changes from mozilla-0.9.5-1mdk package (see below)

* Tue Oct 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-1mdk
- Release 0.9.5
- Remove patches 23, 24, 26 (merged upstream)
- Update patch 25 with reviewed fix
- Add mozilla composer menu entry
- Add support for Acroread rpm plugin

* Sun Oct 14 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.4-6mdk
- PPC patches for javascript

* Fri Oct 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.9.4-5mdk
- rebuild for libpng3

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.4-4mdk
- Patch25: fix detection of euro locales
- Patch26: don't complain when loading plugin (Mozilla CVS)

* Fri Sep 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.4-3mdk
- Update source5

* Thu Sep 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.4-2mdk
- Fix triggers for java/flash/Realplayer
- Patch24: fix topcrash with flash and java

* Tue Sep 18 2001 Peter Hanecak <hanecak@megaloman.sk>
- merged changes from mozilla-0.9.4-1mdk package (see below)

* Sat Sep 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.4-1mdk
- Release 0.9.4
- Regenerate patches 0, 1 and 7
- Remove patches 20 & 22 (merged upstream)

* Mon Sep  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-8mdk
- Add trigger for j2re (new name of jre package)
- Add Mandrake bookmarks

* Fri Aug 31 2001 Peter Hanecak <hanecak@megaloman.sk>
- merged changes from mozilla-0.9.3-7mdk package (see below)

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-7mdk
- Argg, apply patch23 for xinerama

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-6mdk
- Regenerate patch7: use local index.html page also at first startup 

* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-5mdk
- Fix error in Real plugin trigger

* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-4mdk
- Patch23: don't query Xinerama if it is not activated
- Enable Xinerama
- To keep it safe, lower optimizations

* Mon Aug  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-3mdk
- This time, optimisations should be ok (remove omit-frame-pointer)
- Fix triggers on package upgrade

* Sun Aug  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-2mdk
- Remove some optimizations (was breaking preferences)

* Fri Aug  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-1mdk
- Release 0.9.3
- Remove patches 12, 22, 23, 24 (merged upstream)
- Regenerate patches 0
- Enable more optimizations
- Patch22: fix build (some static lib were not found)

* Wed Aug  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-8mdk
- Modify verify options for generated files
- Disable mathml (fix crash reported by Brian J. Murrel)

* Mon Jul 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-7mdk
- Fix bad buildid when recompiling package
- new subpackage for javascript library
- resync with Blizzard specfile :
  - Add verify options to three files that change when you install.
  - use official patch for Patch23

* Fri Jul 13 2001 Stefan van der Eijk <stefan@eijk.ni> 0.9.2-6mdk
- BuildRequires:	gtk+-devel
- Removed BuildRequires:	perl
- Removed BuildRequires:	zlib-devel

* Mon Jul  9 2001 Peter Hanecak <hanecak@megaloman.sk>
- merged changes from mozilla-0.9.2-4mdk package (see below)

* Thu Jul  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-5mdk
- Patch24: use POSIX compliant switch for cp
- Re-add test on POSIX compliance for cp

* Tue Jul  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-4mdk
- Patch22: move umask fix in this patch
- Patch23: don't use readlink in mozilla.sh
- Patch12: fix segfault when exiting with some plugins
- Remove a lot of source file, they are in main tarball

* Mon Jul  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-3mdk
- Fix detection of j2sdk 1.4

* Mon Jul  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-2mdk
- Fix source 6 to comply with latest cp
- Ooops, fix bad devel package

* Mon Jul  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-1mdk
- Release 0.9.2
- Remove patch 12 (merged upstream)

* Thu Jun 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-3mdk
- Fix rebuild-database script with non-standard umask (thanks to Ralf_Ahlbrink)

* Mon Jun 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-2mdk
- Patch12: fix problem with Galeon and Nautilus (bug 83157)

* Fri Jun  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-1mdk
- Release 0.9.1
- Regenerate patches 0, 1, 6
- Remove patch 9 & 12 (merged upstream)

* Wed Jun  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-5mdk
- Workaround for default CA not loaded : add dependency on libnss3 + symlink

* Fri May 25 2001 Peter Hanecak <hanecak@megaloman.sk>
- merged changes from mozilla-0.9-4mdk package (see below)

* Mon May 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-4mdk
- Add PreReq on libnspr4 (otherwhise mozilla registry are not created 
  at install time)

* Thu May 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-3mdk
- Merge psm back in main package 
- Add xmlterm package
- Use libnspr3 and libnss3 for building mozilla

* Tue May 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-2mdk
- Remove patch10 (we only have /usr/share/doc/HTML)

* Mon May 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- Release 0.9
- Sync with Mozilla official specfile (0.9-0)
  - Add rebuild-database script
  - Regenerate patches 0, 1, 6
  - Remove patches 12, 13, 21 (merged upstream)
  - Update make package script to put shared libraries in %_libdir

* Mon Apr 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-5mdk
- Add trigger for RealPlayer plugin

* Fri Apr 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-4mdk
- Add triggers to detect when Sun Java RPM are installed to install Java plugin
- Resync with Blizzard specfile (0.8.1-3) :
	patch12 : links nspr and other base libraries with libc explicitly
	patch13 : disable rpath => no longer requires to uninstall mozilla rpm to rebuild it

* Fri Apr 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-3mdk
- resync with Blizzard specfile (0.8.1-0 and 2001041017)
- resync with Mdk 0.8-7mdk specfile
- patch for bug 73947 to prevent bug in Nautilus

* Fri Mar 30 2001 Peter Hanecak <hanecak@megaloman.sk>
- merged changes from mozilla-0.8.1-2mdk package (see below)

* Wed Mar 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-2mdk
- Use official source tarball

* Tue Mar 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-1mdk
- Release 0.8.1
- resync with Blizzard specfile (pre-0.8.1-6)
- use CVS snapshot since source tarball is not yet available)
- Update mozilla.sh
- Regenerate patch0, patch7, patch8, patch10
- Remove patch 1 (merged upstream)

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-2mdk
- Switch to standard theme by default
- Remove focus patch 
- Add specific menu entry for GNOME (workaround for interaction with xalf)
- resync with Blizzard specfile (0.8-2)

* Fri Feb 23 2001 Peter Hanecak <hanecak@megaloman.sk>
- adapted to Doors Linux

* Fri Feb 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Relese 0.8
- resync with Blizzard specfile (0.8-1)

* Wed Feb  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-3mdk
- Resync with Blizzard specfile (0.7-11)
- Correct postun script => upgrading mozilla should be smooth with future version
  

* Wed Jan 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-2mdk
- Resync with Blizzard specfile (0.7-3)
- Add missing library for galeon

* Wed Jan 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7

* Mon Jan  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-0.2001010614.1mdk
- Prerelease based on CVS (contains crypto support)
- Merge new patches from Christopher Blizzard (2001010614-0)
- Try to use Java and Flash plugin (need JDK 1.3.0_1 and netscape 4.76 installed)

* Wed Nov  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M18.4mdk
- Rebuild with new libstdc++
- merge new patches from Christopher Blizzard specfile (M18-4) :
		- Add patch for bug 54860 (Linux-psm warning dialog hangs browser)
		- Add patches for bugs 56793 and 56753.

* Mon Oct 16 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M18.3mdk
- Merge patches from Alexander Skwar :
	-Add missing menu file and icons
	-Add missing dependency

* Fri Oct 13 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M18.2mdk
- Merge Christopher Blizzard (RedHat) specfile

* Fri Oct 13 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M18.1mdk
- Release M18
- Remove old patches

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M17.4mdk
- Merge specfile and fixes from Christopher Blizzard 
- change again page numbering (should be stable now)..

* Fri Aug 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0_M17-3mdk
- Provide non-corrupted icons

* Fri Aug 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0_M17-2mdk
- Add correct icons

* Fri Aug 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0_M17-1mdk
- Release M17

* Fri May 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 5.0_M13-3mdk
- fix menu file

* Fri Mar 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 5.0_M13-2mdk
- add menu entry for sub package mozilla browser

* Fri Feb 25 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 5.0_M13-1mdk
- fixed version-naming --> mozilla-browser needs mozilla-install, not
  mozilla-M13-install.

* Sun Feb 13 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- M13

* Wed Jan 05 2000 Lenny Cartier <lenny@mandrakesoft.com>
- used srpm from mozilla.org
- bz2 archive
- remove the paths in the post sections
- modified the install section
